#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long V,P,S,a;
    long long br=0;
    long long N=0;

    cin >> V;

    long long x = V;

    while(x>10)
    {
       x=x/10;
       N++;
    }

    N++;

    while(V>0)
    {
       P = pow(10,N-1);
       a = V / P;
       if (a>=5)
       S=P*5;
       else if(a>=2)
       S=P*2;
       else S=P;


       V=V-S;
       br++;

       if(V<P)
       N--;

    }

    cout << br;

    return 0;
}